$overlayOpacity: 0.6;

.mainview-container {
  flex: 1 1 72%;
  background-image: url('../../public/bg-image.jpg');
  background-blend-mode: overlay;
  background-position: center center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  display: flex;
  flex-direction: column;
  color: white;
  filter: saturate(70%) contrast(103%) brightness(0.92);
}

.mainview-content-top-container {
  flex: 1 1 85%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
  gap: 15px;
}

.mainview-content-bottom-container {
  flex: 1 1 15%;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  background: linear-gradient(
    rgba(14, 22, 27, $overlayOpacity),
    rgba(14, 22, 27, $overlayOpacity)
  );
  filter: brightness(1.4);
  border-top: 1.5px solid #feffff0a;
}

.current-meeting {
  font-size: clamp(1.1rem, 1.35vw, 1.65rem);
  font-weight: 300;
}

.meeting-headline {
  font-size: clamp(2.5rem, 6vw, 4rem);
  font-weight: 900;
  padding: 0 10px;
}

.headline-separator {
  width: clamp(1.5rem, 2vw, 2rem);
}

.timer-container {
  width: clamp(180px, 21vw, 1000px);
  height: 0.5rem;
  background-color: $progressBarBackground;
  border-radius: 50vmin;
  margin: 1.5rem;
  display: flex;
}

.currentmeeting-timer-info {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 10px;
}

.timer-bar {
  border-radius: 50vmin;
  background-color: $appColorYellow;
  width: 0;
}

.upcoming-event {
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: #848689;
  gap: 7px;
  font-size: clamp(10px, 13px, 16px);
}

.upcoming-event :nth-child(2) {
  color: white;
  font-size: clamp(15px, 18px, 21px);
  font-weight: 700;
}

.meeting-organizer {
  font-size: clamp(0.9rem, 1.15vw, 1.1rem);
}

.mobile-view-toggle {
  border-radius: 5px;
  position: absolute;
  top: 4.25rem;
  right: 2.75rem;
  transition: all 400ms ease-in-out;
  transition-delay: 400ms;
  width: 0;
  height: 0;
  cursor: pointer;
}

.mobile-view-toggle img {
  width: 0px;
  height: 0px;
}

.show-mobile-toggle {
  width: 50px;
  height: 50px;
  z-index: 5;
}

.show-mobile-toggle img {
  width: 65px;
  height: 65px;
}

